Subject: Re: Anyone build wu-ftpd-2.4 on Solaris 2.5.1?

From: [email-masked] (Miquel Cabanas. BBM-UAB)
Date: Tue, 20 Aug 1996 23:09:29 +0200

> From [email-masked] Tue Aug 20 20:51:10 1996
> 
> > Hi,
> > I just grabbed the wu-ftpd-2.4 source and tried to build on an
> > UltraSparc under Solaris 2.5.1.  I had to use the support/ftp.h
> > file and the result of build sol is:
> 
> [snip]
> 
> > mv -f /usr/local/etc/ftpd /usr/local/etc/ftpd-old
> > mv: cannot access /usr/local/etc/ftpd
> > *** Error code 2 (ignored)
> > Installing binaries.
> > install -o bin -g bin -m 755 bin/ftpd /usr/local/etc/ftpd
> > usage: install [options] file [dir1 ...]
> > *** Error code 2
> > make: Fatal error: Command failed for target `install'
> 
> The install program doesn't like the args it was given.  Are you sure
> there's a "/usr/local/etc" directory?  Did you edit the pathnames.h
> file?
> 
> -=-=-=-=-=-=-
> Dale Wellman
> Sys Admin
> Network Intensive
> 
> 

hi, i had this problem long ago, under Solaris 2.3, and i've seen the same
question posted in the list from time to time. I sorted it out by copying
the files to their final destination and setting the permissions by brute
force (cp, chown... and so on).

Later i compared the syntaxis of the install command in the makefile with
that reported in the solaris' install man page. I sorted the options in the
same order as they were in the man file 'et voila' it worked (unless my
memory is flakkier than i recall ;-). I'm not sure, maybe you could give it
a try and tell the list what's the install syntaxis that did the job
(another FAQ?)

miquel

Miquel E Cabanas ---------------------------------------------------
SeRMN & BBM - Universitat Autonoma de Barcelona, Catalunya - Spain

e-mail: [email-masked]
url:    http://bbm-web.uab.es/biomed-nmr/miquel_angles.html
------------------------------------------o-oo--ooo---ooo--oo-o-----